# RPM specfile for gnome-pilot module
# Generated Wed Apr  2 15:40:26 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.220 2003/03/28 22:06:56 peter Exp $

%define nam	gnome-pilot
%define ver	0.1.71
%define ximrev	1

Name:     	gnome-pilot
Version: 	0.1.71
Release:	0.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 8.1 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.gnome.org/gnome-pilot/
Source0:	gnome-pilot-0.1.71.tar.bz2
Patch0:		gnome-pilot-no-applet.patch
Patch1:		gnome-pilot-install-client.patch
BuildRequires:	pilot-link-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	intltool
BuildRequires:	libxml-devel
BuildRequires:	gnome-vfs-devel
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/bin/gnome-pilot-make-password
/opt/gnome/bin/gpilot-install-file
/opt/gnome/bin/gpilotd
/opt/gnome/bin/gpilotd-client
/opt/gnome/bin/gpilotd-control-applet
/opt/gnome/bin/gpilotd-session-wrapper
/opt/gnome/lib/gnome-pilot/conduits/*
/opt/gnome/lib/*.so.*
/opt/gnome/share/control-center/*
/opt/gnome/share/gnome/*
/opt/gnome/share/gnome-pilot/*
/opt/gnome/share/locale/*/*/*
/opt/gnome/share/mime-info/*
/opt/gnome/share/pixmaps/*
/etc/opt/gnome/CORBA/servers/*
/opt/gnome/man/man1/*
%dir /opt/gnome/share/gnome-pilot
%dir /opt/gnome/lib/gnome-pilot/conduits
%dir /opt/gnome/lib/gnome-pilot


%post
ldconfig

%postun
ldconfig

%package -n gnome-pilot-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	pilot-link-devel
Provides:	ximian-gnome-pilot-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-pilot-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n gnome-pilot-devel
%defattr(-, root, root)
/opt/gnome/include/*/*
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/*.la
/opt/gnome/lib/*Conf.sh
/opt/gnome/share/idl/*
%dir /opt/gnome/include/gpilotd
%dir /opt/gnome/include/libgpilotdCM


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-0.1.71
    ;;
all)
%setup  -q -n gnome-pilot-0.1.71
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; if [ -x /usr/bin/aclocal-1.4 ]; then aclocal-1.4 ${ACLOCAL_FLAGS} -I macros; else aclocal ${ACLOCAL_FLAGS} -I macros; fi; autoconf; if [ -x /usr/bin/automake-1.4 ]; then automake-1.4 --gnu --add-missing; else automake --gnu --add-missing --include-deps; fi; ./configure --prefix=/opt/gnome --sysconfdir=/etc/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --enable-usb-visor=yes --disable-oaf --with-pisock=/opt/gnome --disable-applet
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 2 2003 Ximian, Inc.

- Version: 1:0.1.71-0.ximian.1
- Summary: New build.
- New automated build.

* Wed Dec 4 2002 Ximian, Inc.

- Version: 0.1.70-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Apr 25 2002 Ximian, Inc.

- Version: 0.1.65-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Mar 22 2002 Ximian, Inc.

- Version: 0.1.64-2.ximian.1
- Summary: New build.
- New automated build.

